package com.om.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class BrushInfo implements Serializable {

    @ApiModelProperty(value = "刷写文件名称")
    private String brushFileName;

    @ApiModelProperty(value = "文件大小")
    private long fileSize;

    @ApiModelProperty(value = "下载路径")
    private String url;

    @ApiModelProperty(value = "创建时间")
    private long createTime;


    @ApiModelProperty("版本描述集合")
    private List<Describe> describeList;
}
