package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class SDKInfoVO {
    @ApiModelProperty(value = "SdkVersionInfoId")
    private Integer id;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "上传人名称")
    private String adminName;

    @ApiModelProperty(value = "语言描述")
    private String[] description;

    @ApiModelProperty(value = "语言")
    private String[] language;

    @ApiModelProperty(value = "pcbId")
    private Integer pcbId;

    @ApiModelProperty(value = "客户端名称集合")
    private String[] clientNames;

    @ApiModelProperty(value = "客户端编号")
    private String[] clientNum;

    @ApiModelProperty(value = "发布时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime releaseTime;

    @ApiModelProperty(value = "保存路径")
    private String savePath;

    @ApiModelProperty(value = "pcb版本信息")
    private String pcbVersion;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "版本编号")
    private String versionNum;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;
}
