package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@NoArgsConstructor
public class WxscPageVO implements Serializable {

    @ApiModelProperty("手册id")
    private Integer id;

    @ApiModelProperty("标题")
    private String title;

    @ApiModelProperty("语言")
    private String lang;

    @ApiModelProperty("维修手册名")
    private String scName;

    @ApiModelProperty("文件链接")
    private String fileUrl;

    @ApiModelProperty("品牌")
    private String brandCode;
    @ApiModelProperty("品牌名称")
    private String brandName;

    @ApiModelProperty("客户端编号")
    private String clientCode;

    @ApiModelProperty("客户端名称")
    private String clientName;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime createTime;

    @ApiModelProperty("最近修改时间")
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private LocalDateTime updateTime;
}
