package com.om.entity.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author bmmx
 * @since 2024-02-01
 */
@Data
@NoArgsConstructor
public class UserVO{

    @ApiModelProperty(value = "标识符")
    private Integer id;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;


    @ApiModelProperty(value = "维修厂ID")
    private Integer distributorId;


    @ApiModelProperty(value = "修理厂名称")
    private String distributorName;


    @ApiModelProperty(value = "状态")
    private Integer state;

    @ApiModelProperty(value = "设备sn")
    private String deviceSn;

    @ApiModelProperty(value = "用户类型: 0 - 正式账号, 1 - 测试账号")
    private Integer userType;

    @ApiModelProperty(value = "VCI SN")
    private String[] vciSns;
}
